Subject: Re: [mpls-tp] mpls-tp Digest, Vol 2, Issue 30

From: "L N Datta" <[email-masked]>
Date: Sat, 30 Aug 2008 00:44:07 +0800

Hi,
If we consider MPLS-TP in metro core network, I hope protection in mesh
network with sub 50 ms should also be the requiremnet (obviously not for
all type of cut), as like ASON. 

Best Regards,

Datta
Product Management - Broadband Networks 
+919818568361

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of [email-masked]
Sent: Friday, August 29, 2008 9:14 PM
To: [email-masked]
Subject: mpls-tp Digest, Vol 2, Issue 30

Send mpls-tp mailing list submissions to
	[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
	https://www.ietf.org/mailman/listinfo/mpls-tp
or, via email, send a message with subject or body 'help' to
	[email-masked]

You can reach the person managing the list at
	[email-masked]

When replying, please edit your Subject line so it is more specific than
"Re: Contents of mpls-tp digest..."

Today's Topics:

   1. discussion on ring protection in MPLS-TP (D'Alessandro Alessandro)
   2. R:  discussion on ring protection in MPLS-TP (Diego Caviglia)
   3. RES:  R:  discussion on ring protection in MPLS-TP
      (Salvio Straube Stecz)
   4. Re: R:  discussion on ring protection in MPLS-TP (Adrian Farrel)
   5. Re: R:  discussion on ring protection in MPLS-TP (Eric Gray)

----------------------------------------------------------------------

Message: 1
Date: Fri, 29 Aug 2008 12:07:07 +0200
From: "D'Alessandro Alessandro"
	<[email-masked]>
Subject: [mpls-tp] discussion on ring protection in MPLS-TP
To: <[email-masked]>,	<[email-masked]>
Message-ID:
	
<[email-masked]
	
Content-Type: text/plain; charset="us-ascii"

Dear all,
I expressed interest in developing ring protection for MPLS-TP in ITU-T
mailing lists.
As MPLS-TP is a joint activity between ITU-T and IETF I'd like renewing
my interest about that topic in IETF as well.
I'm in favor of developing ring protection for MPLS-TP as it can be
useful deployed in metro and metro-core areas where physical ring
infrastructures are still widely used. My preferred approach is MPLS-TP
over metro rings where networking is assured by MPLS-TP whilst Ethernet
or other server layers are used as point-to-point technologies. MPLS-TP
should keep traditional features/performance (e.g. 50ms switch time,
revertive/non revertive mode) and it should be enhanced with Control
Plane features.
As traffic characteristics are fast changing in the networks and in
particular in metro networks (e.g. multicast traffic is getting an
important share of total traffic), ring protection should be designed
taking into account such characteristics.

Best regards,
Alessandro

------------------------------------------------------------------
Telecom Italia
Alessandro D'Alessandro
Transport & OPB Innovation
Via Reiss Romoli, 274 - 10148 Torino
phone:  +39 011 228 5887
mobile: +39 335 766 9607
fax: +39 06 418 639 07

--------------------------------------------------------------------

CONFIDENTIALITY NOTICE

This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received the
message in error, be informed that any use of the content hereof is
prohibited. Please return it immediately to the sender and delete the
message. Should you have any questions, please contact us by replying to
[email-masked].

        Thank you

                                        www.telecomitalia.it

--------------------------------------------------------------------
                        
-------------- next part --------------
An HTML attachment was scrubbed...
URL:
http://www.ietf.org/pipermail/mpls-tp/attachments/20080829/4e05ba7b/atta
chment-0001.htm 

------------------------------

Message: 2
Date: Fri, 29 Aug 2008 15:38:28 +0200
From: "Diego Caviglia" <[email-masked]>
Subject: [mpls-tp] R:  discussion on ring protection in MPLS-TP
To: <[email-masked]>
Cc: [email-masked], [email-masked]
Message-ID:
	
<[email-masked]>
	
Content-Type: text/plain;	charset="us-ascii"

Ciao Alessandro,
   	                   I think you made a good point.

If, as stated in sveral documents, mpls-tp is going to replace sdh we
have to consider that most of the metro and metro core topology are ring
based.

Br 

Diego

------------------------------

Message: 3
Date: Fri, 29 Aug 2008 11:29:19 -0300
From: "Salvio Straube Stecz" <[email-masked]>
Subject: [mpls-tp] RES:  R:  discussion on ring protection in MPLS-TP
To: <[email-masked]>
Message-ID:
	<[email-masked]>
Content-Type: text/plain; charset="iso-8859-1"

Hi all,

        I think that for the MPLS-TP, the better protection scheme to be
used is fast-reroute - FRR. Comparing to SDH-like ring protection it can
works like MS-SPring, where is possible to achieve less than 50ms
switching time, and the use of the protection side of the ring to carry
extra-traffic. There are already equipment in the market that works with
this idea.

rgds,
------------------------------------------------
    S?lvio Straube Stecz
  GVT - Global Village Telecom
 Planning - Transport Networks
     +55 41 3022 - 9451
     +55 41 8848 - 3428  
        [email-masked]
-----------------------------------------------

-----Mensagem original-----
De: [email-masked] [mailto:[email-masked]]Em nome de
Diego Caviglia
Enviada em: sexta-feira, 29 de agosto de 2008 10:38
Para: [email-masked]
Cc: [email-masked]; [email-masked]
Assunto: [mpls-tp] R: discussion on ring protection in MPLS-TP

Ciao Alessandro,
                           I think you made a good point.

If, as stated in sveral documents, mpls-tp is going to replace sdh we
have to consider that most of the metro and metro core topology are ring
based.

Br

Diego
_______________________________________________
mpls-tp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-tp
-------------- next part --------------
An HTML attachment was scrubbed...
URL:
http://www.ietf.org/pipermail/mpls-tp/attachments/20080829/4084a441/atta
chment-0001.htm 

------------------------------

Message: 4
Date: Fri, 29 Aug 2008 16:10:40 +0100
From: "Adrian Farrel" <[email-masked]>
Subject: Re: [mpls-tp] R:  discussion on ring protection in MPLS-TP
To: <[email-masked]>, <[email-masked]>
Message-ID: <0a2701c909e9$6785c620$0300a8c0@your029b8cecfe>
Content-Type: text/plain; format=flowed; charset="iso-8859-1";
	reply-type=original

Hi Diego and Alessandro,

> Ciao Alessandro,
>                      I think you made a good point.
>
> If, as stated in sveral documents, mpls-tp is going to replace sdh we
> have to consider that most of the metro and metro core topology are
ring
> based.

I think that what Diego is saying is that we need to be able to deploy 
MPLS-TP in topologies that are ring shaped. That is where there is a set
of 
routers with line-side order of two (and presumably the ability to add
and 
drop data!) arranged in a ring.

No problem with that as it is just a special case of a mesh of routers.

I think that both Diego and Alessandro are implying that rapid recovery
is 
needed in any MPLS-TP deployment. We can argue about how rapid, but
there is 
clearly some desired upper bound for a particular grade of service.

But I am still struggling to understand why "ring protection" is a 
requirement. Surely that is one of a set of possible solutions. We can
come 
on to discuss the benefits and costs of different solutions as a
separate 
thread. Such a discussion will include the relative complexity of 
implementation and operation of various solutions.

So, just for now, can someone explain to me whether "ring protection" is
a 
real requirement.

Cheers,
Adrian 

------------------------------

Message: 5
Date: Fri, 29 Aug 2008 10:43:11 -0500
From: "Eric Gray" <[email-masked]>
Subject: Re: [mpls-tp] R:  discussion on ring protection in MPLS-TP
To: "Adrian Farrel" <[email-masked]>, <[email-masked]>,
	<[email-masked]>
Message-ID:
	
<[email-masked]>
	
Content-Type: text/plain;	charset="us-ascii"

Adrian,

	Possibly as a tangential observation, does it make any 
difference in your argument if it turns out to be the case 
that routers in a ring do not actually reduce to a special
case of a partial mesh of routers?

--
Eric Gray
Principal Engineer
Ericsson  

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Adrian Farrel
> Sent: Friday, August 29, 2008 11:11 AM
> To: [email-masked]; [email-masked]
> Subject: Re: [mpls-tp] R: discussion on ring protection in MPLS-TP
> 
> Hi Diego and Alessandro,
> 
> > Ciao Alessandro,
> >                      I think you made a good point.
> >
> > If, as stated in sveral documents, mpls-tp is going to 
> replace sdh we
> > have to consider that most of the metro and metro core 
> topology are ring
> > based.
> 
> I think that what Diego is saying is that we need to be able 
> to deploy 
> MPLS-TP in topologies that are ring shaped. That is where 
> there is a set of 
> routers with line-side order of two (and presumably the 
> ability to add and 
> drop data!) arranged in a ring.
> 
> No problem with that as it is just a special case of a mesh 
> of routers.
> 
> I think that both Diego and Alessandro are implying that 
> rapid recovery is 
> needed in any MPLS-TP deployment. We can argue about how 
> rapid, but there is 
> clearly some desired upper bound for a particular grade of service.
> 
> But I am still struggling to understand why "ring protection" is a 
> requirement. Surely that is one of a set of possible 
> solutions. We can come 
> on to discuss the benefits and costs of different solutions 
> as a separate 
> thread. Such a discussion will include the relative complexity of 
> implementation and operation of various solutions.
> 
> So, just for now, can someone explain to me whether "ring 
> protection" is a 
> real requirement.
> 
> Cheers,
> Adrian 
> 
> _______________________________________________
> mpls-tp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls-tp
> 

------------------------------

_______________________________________________
mpls-tp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-tp

End of mpls-tp Digest, Vol 2, Issue 30
**************************************
_______________________________________________
mpls-tp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-tp